Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-54064

Gradle plugin uses legacy plugin format

    XMLWordPrintable

    Details

    • Similar Issues:
    • Released As:
      gradle-jpi-plugin 0.36.0, gradle-plugin 1.36

      Description

      Installing Gradle plugin 1.29 shows these messages in the log on Jenkins 2.146(ish), emphasis mine:

      Oct 13, 2018 7:58:05 PM hudson.model.UpdateCenter$DownloadJob run
      INFO: Starting the installation of Gradle on behalf of admin
      Oct 13, 2018 7:58:05 PM hudson.model.UpdateCenter$UpdateCenterConfiguration download
      INFO: Downloading Gradle
      Oct 13, 2018 7:58:05 PM hudson.PluginManager dynamicLoad
      INFO: Attempting to dynamic load /…/plugins/gradle.jpi
      Oct 13, 2018 7:58:06 PM hudson.ClassicPluginStrategy createClassJarFromWebInfClasses
      WARNING: Created /…/plugins/gradle/WEB-INF/lib/classes.jar; update plugin to a version created with a newer harness

      Gradle plugin should update its toolchain to one supporting the newer classes.jar format. (Might be a problem with Gradle JPI Plugin, unsure).

      CC Daniel Spilker

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            danielbeck Daniel Beck
            Votes:
            1 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: